diff --git a/collects/mztake/TAGS b/collects/mztake/TAGS
deleted file mode 100644
index 172d82cc63..0000000000
--- a/collects/mztake/TAGS
+++ /dev/null
@@ -1,77 +0,0 @@
-
-debugger-annotate.ss,91
-  (define (arglist-bindingsarglist-bindings10,204
-       (cons #'var (arannotate20,430
-
-debugger-model.ss,46
-  (define debugger-moddebugger-model@12,332
-
-debugger-tool.ss,0
-
-info.ss,128
-  (define namename2,41
-  (define toolstools3,69
-  (define tool-namestool-names4,111
-  (define tool-iconstool-icons5,155
-
-mztake-structs.ss,2742
-  (define-struct tracestruct:trace-struct20,825
-  (define-struct tracemake-trace-struct20,825
-  (define-struct tracetrace-struct?20,825
-  (define-struct tracetrace-struct-evnt-rcvr20,825
-  (define-struct traceset-trace-struct-evnt-rcvr!20,825
-  (define-struct trace-structtrace-struct20,825
-  
-  (define-struct (struct:break-trace22,900
-  
-  (define-struct (make-break-trace22,900
-  
-  (define-struct (break-trace?22,900
-  
-  (define-struct (break-trace22,900
-  (define-struct (breastruct:bind-trace23,904
-  (define-struct (breamake-bind-trace23,904
-  (define-struct (breabind-trace?23,904
-  (define-struct (breabind-trace-variable-to-bind23,904
-  (define-struct (breaset-bind-trace-variable-to-bind!23,904
-  (define-struct (breabind-trace23,904
-                 (varistruct:debug-client26,997
-                 (varimake-debug-client26,997
-                 (varidebug-client?26,997
-                 (varidebug-client-modpath26,997
-                 (variset-debug-client-modpath!26,997
-                 (varidebug-client-tracepoints26,997
-                 (variset-debug-client-tracepoints!26,997
-                 (varidebug-client-line-col->pos26,997
-                 (variset-debug-client-line-col->pos!26,997
-                 (varidebug-client-process26,997
-                 (variset-debug-client-process!26,997
-                 (varidebug-client26,997
-                      struct:debug-process31,1313
-                      make-debug-process31,1313
-                      debug-process?31,1313
-                      debug-process-custodian31,1313
-                      set-debug-process-custodian!31,1313
-                      debug-process-run-semaphore31,1313
-                      set-debug-process-run-semaphore!31,1313
-                      debug-process-running?31,1313
-                      set-debug-process-running?!31,1313
-                      debug-process-exited?31,1313
-                      set-debug-process-exited?!31,1313
-                      debug-process-exceptions31,1313
-                      set-debug-process-exceptions!31,1313
-                      debug-process-runtime31,1313
-                      set-debug-process-runtime!31,1313
-                      debug-process-main-client31,1313
-                      set-debug-process-main-client!31,1313
-                      debug-process-clients31,1313
-                      set-debug-process-clients!31,1313
-                      debug-process31,1313
-  ; Creates a trace thcreate-bind-trace59,3677
-  ; Creates a trace thcreate-break-trace63,3900
-  (define (create-breacreate-empty-debug-process66,3952
-                      create-empty-debug-client76,4469
-
-mztake-syntax.ss,0
-
-mztake.ss,0
diff --git a/collects/mztake/make-clean.bat b/collects/mztake/make-clean.bat
deleted file mode 100755
index 64baa10e4d..0000000000
--- a/collects/mztake/make-clean.bat
+++ /dev/null
@@ -1,2 +0,0 @@
-del compiled
-del private\compiled
diff --git a/collects/mztake/make-plt.ss b/collects/mztake/make-plt.ss
deleted file mode 100644
index 36d0fb059b..0000000000
--- a/collects/mztake/make-plt.ss
+++ /dev/null
@@ -1,20 +0,0 @@
-(module make-plt mzscheme
-  
-  (require (lib "pack.ss" "setup")
-           #;(lib "util.ss" "planet"))
-  
-  (define (my-filter path)
-    (and (std-filter path)
-         (not (or (regexp-match #rx".svn$" path)
-                  (regexp-match #rx".bak$" path)
-                  (regexp-match #rx".1$" path)
-                  (regexp-match #rx"-uncommented.ss$" path)
-                  (regexp-match #rx"make" path)))))
-  
-
-  ;without frtime bundled:
-  (pack-collections "mztake-208.plt" "MzTake Debugger"
-                    '(("mztake")) #t '(("frtime")("stepper")) my-filter #f)
-  
-  (pack-collections "mztake-frtime-pre-208.plt" "MzTake Debugger"
-                    '(("mztake")("frtime")) #t '(("stepper")) my-filter #f))
diff --git a/collects/mztake/make.bat b/collects/mztake/make.bat
deleted file mode 100755
index 0889007cd8..0000000000
--- a/collects/mztake/make.bat
+++ /dev/null
@@ -1,3 +0,0 @@
-"C:\Program Files\PLT\Setup PLT.exe" -p -l mztake
-"C:\Program Files\PLT\Setup PLT.exe" -l frtime
-"C:\Program Files\PLT\Setup PLT.exe" -l stepper
diff --git a/collects/mztake/private/lab-where-mztake-was-born.jpg b/collects/mztake/private/lab-where-mztake-was-born.jpg
index 665ecc6549..3a9ea3cd6e 100644
Binary files a/collects/mztake/private/lab-where-mztake-was-born.jpg and b/collects/mztake/private/lab-where-mztake-was-born.jpg differ
